Ubuntu

[needs-packaging] php-fpm

Reported by Stas Sușcov on 2009-07-10
80
This bug affects 14 people
Affects Status Importance Assigned to Milestone
PHP-FPM
Confirmed
High
Unassigned
php5 (Ubuntu)
Wishlist
Unassigned
Declined for Jaunty by Chuck Short
Declined for Karmic by Chuck Short
Declined for Lucid by Mathias Gug

Bug Description

It's seems to be a great component with nginx for web servers.

Website: http://php-fpm.org/Main_Page
Downloads page: http://php-fpm.org/downloads/
License : BSD-Compatible

tags: added: needs-packaging
summary: - [Needs Packaging] php-fpm
+ [needs-packaging] php-fpm
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
Changed in ubuntu:
status: New → Confirmed
description: updated
dreamcat4 (dreamcat4) wrote :

More Information / Links:

http://interfacelab.com/nginx-php-fpm-apc-awesome/
http://www.yawn.it/2008/04/30/nginx-php-php-fpm-on-debian-etch-40/
http://bookmarks.honewatson.com/2008/11/28/php-fpm-initd-init-script/
http://serverfault.com/questions/44890/php-fpm-nginx-php-cgi-processes-die-after-a-while-in-idle-then-502-bad-gatewa

The second guide mentions you should install X-Cache as it gives a good performance boost. There is an up-to-date packaged version X-Cache ('php5-xcache'). It should be worthy of inclusion here also.

dreamcat4 (dreamcat4) wrote :

Thread: http://<email address hidden>/msg02825.html

Stas Sușcov (sushkov) wrote :

Hi,
I must report that I've tried patching the current `php5` package from hardy in order to offer modified `php5-cgi` with support for fpm under a new package` php5-fpm` and I failed miserably cause of the long list of patched the package depends on.

The fpm patch would be 63rd on the list.

The package fails to build cause there are patches which require `./buildconf --force` thus modifying the upstream `./configure` and `main/php_config.h.in` files which needs patching by php-fpm.

Tested php version: 5.2.4-2ubuntu5.6
Tested patch: http://php-fpm.org/downloads/php-5.2.4-fpm-0.5.3.diff.gz

Another solution would be to skip the patch which conflicts and provide php5-fpm as a package apart without them.
Also, I'm not sure if php5 package can be pushed to a newer version in hardy.

Michael Shadle (mshadle) wrote :

The new PHP-FPM project will be standalone, so it can be packaged separately - currently it compiles against a vanilla PHP 5.2.10 build. It does not need any special ./configure switches, you just need to ./configure and make PHP so it has sources to build against. Then you can compile PHP-FPM separately and package it as a separate package.

See details at https://launchpad.net/php-fpm

Stas i ran a test yesterday and found that fpm patches cleanly ontop
all the other patches on the 5.2.6 sources (u9.04).

So i've been going a different way to both of you. It's all in a blog
post http://dreamcat4.jottit.com/

Many of the compile flags for apache are worth including. I have been
planning to re-group the compile flags into $common_config,
$web_config, and then the existing apache2-build target will also have
less flags. A new fpm-build target share the $common_config and
$web_config, and just append the the '--fpm' switch to ./configure.

The new variable '$web_config' will be the flags taken out from the
apache2-build target which aren't apache-specific (libjpeg, mysql,
sqlite, etc). These flags include important functionality for a php
distribution so i think we probably need them.

I believe the path of least resistance is to add a new 'fpm-build'
target to the existing php5 source package because it's already got
all these external dependencies set up. ( libjpeg.so, libgd.so, ....
)

To have a completely separate 'php5-fpm' source package, mshadle, it
sounds like a good idea but there's some very popular php stuff (eg
wordpress, lightbox) that needs these image libraries. You'll also
need to support 3 or 4 of the most popular databases. Performance with
these things included should be fine. However make sure to specify the
"--without-mm" flag.

Stas Sușcov (sushkov) wrote :

On Sun, 2009-08-02 at 04:53 +0000, mshadle wrote:
> The new PHP-FPM project will be standalone, so it can be packaged
> separately - currently it compiles against a vanilla PHP 5.2.10 build.
> It does not need any special ./configure switches, you just need to
> ./configure and make PHP so it has sources to build against. Then you
> can compile PHP-FPM separately and package it as a separate package.
>
> See details at https://launchpad.net/php-fpm

The problem is that, to make the package available and allowed for
upstream, the security team will require `php-fpm` to have the
`php-5.X.X` security patches.

Currently `php5_5.2.10.dfsg.1-1ubuntu2` is provided with ~46 patches,
among them suhoshin, CVE security fixes and other database related
patches.

On the other hand, there should be no problem with dependencies (fpm can
be run standalone in fact), and we can provide fpm using the latest
stable upstream (ignoring ubuntu release specific) version. In this
case, the package will not be part of a regular `php5` build, how I was
trying to make it.

>
--
() Campania Panglicii în ASCII
/\ http://stas.nerd.ro/ascii/

Stas Sușcov (sushkov) on 2009-08-02
affects: ubuntu → php5 (Ubuntu)
dreamcat4 (dreamcat4) wrote :

On Sun, Aug 2, 2009 at 11:26 AM, Stas Sușcov<email address hidden> wrote:
> On Sun, 2009-08-02 at 04:53 +0000, mshadle wrote:
> Currently `php5_5.2.10.dfsg.1-1ubuntu2` is provided with ~46 patches,
> among them suhoshin, CVE security fixes and other database related
> patches.

Yes can confirm what Stas has said here;

Php version: php5_5.2.6.dfsg.1-3ubuntu4.1 (9.04):
File: sapi/cgi/cgi_main.c

3 patches conflict with each other:
CVE-2008-3660.patch
suhosin.patch
+ php-5.2.6-fpm-0.5.9.patch

It probably effects all of the versions we are talking about. But on a
positive note - it looks to be a small thing so I will see today if i
can fix it.

dreamcat4 (dreamcat4) wrote :

On Sun, Aug 2, 2009 at 4:19 AM, Stas Sușcov<email address hidden> wrote:
> The package fails to build cause there are patches which require
> `./buildconf --force` thus modifying the upstream `./configure` and
> `main/php_config.h.in` files which needs patching by php-fpm.

You can modify the rules file from:

 unprepared:
     dh_testdir
     sed -i -e 's/EXTRA_VERSION="-$(PHP5_DEBIAN_REVISION)"/EXTRA_VERSION=""/'
configure.in
    rm -f configure aclocal.m4 config.sub config.guess
    rm -f main/php_config.h.in
    rm -f configure aclocal.m4 config.sub config.guess
    rm -f main/php_config.h.in

to:

 unprepared:
     dh_testdir
     sed -i -e 's/EXTRA_VERSION="-$(PHP5_DEBIAN_REVISION)"/EXTRA_VERSION=""/'
configure.in
    rm -f configure aclocal.m4 config.sub config.guess
    rm -f main/php_config.h.in
    rm -f aclocal.m4 config.sub config.guess
    rm -f prepared-stamp

and that prevents the './configure' and 'main/php_config.in' files
from being deleted. Patching then proceeds okay. Im not sure yet if
there's any harm in keeping these files, but when I do the next patch
file I shall report the result.

These suggestion can be browsed online at github:
http://github.com/dreamcat4/php5-fpm-ubuntu/commits/php5_5.2.6.dfsg.1-3ubuntu4.1/

Stas Sușcov (sushkov) wrote :

On Mon, 2009-08-03 at 10:02 +0000, dreamcat4 wrote:
> On Sun, Aug 2, 2009 at 4:19 AM, Stas Sușcov<email address hidden> wrote:
> > The package fails to build cause there are patches which require
> > `./buildconf --force` thus modifying the upstream `./configure` and
> > `main/php_config.h.in` files which needs patching by php-fpm.
>
> You can modify the rules file from:
>
> unprepared:
> dh_testdir
> sed -i -e 's/EXTRA_VERSION="-$(PHP5_DEBIAN_REVISION)"/EXTRA_VERSION=""/'
> configure.in
> rm -f configure aclocal.m4 config.sub config.guess
> rm -f main/php_config.h.in
> rm -f configure aclocal.m4 config.sub config.guess
> rm -f main/php_config.h.in
>
> to:
>
> unprepared:
> dh_testdir
> sed -i -e 's/EXTRA_VERSION="-$(PHP5_DEBIAN_REVISION)"/EXTRA_VERSION=""/'
> configure.in
> rm -f configure aclocal.m4 config.sub config.guess
> rm -f main/php_config.h.in
> rm -f aclocal.m4 config.sub config.guess
> rm -f prepared-stamp
>
> and that prevents the './configure' and 'main/php_config.in' files
> from being deleted. Patching then proceeds okay. Im not sure yet if
> there's any harm in keeping these files, but when I do the next patch
> file I shall report the result.
>
> These suggestion can be browsed online at github:
> http://github.com/dreamcat4/php5-fpm-ubuntu/commits/php5_5.2.6.dfsg.1-3ubuntu4.1/

You might be interested to read the log file of my build:
http://launchpadlibrarian.net/29787634/buildlog_ubuntu-hardy-i386.php5_5.2.4-2ubuntu5.7_FAILEDTOBUILD.txt.gz
Getting solved the patching problem is the easiest part.

The package won't compile with the current ./configure, so you'll need
to ./buildconf --force anyway. From that point you won't be able to
apply fpm patch to./configure.

I would say that the package should be build apart from current php5
with only security and fcgi specific patches.
The problem here is that on the official webpage, it is not documented
what exactly (from php5) fpm requires to run, I doubt it requires the
whole php to be reinstalled on the target system.

>
--
() Campania Panglicii în ASCII
/\ http://stas.nerd.ro/ascii/

dreamcat4 (dreamcat4) wrote :

On Mon, Aug 3, 2009 at 10:48 AM, dreamcat four<email address hidden> wrote:
> 3 patches conflict with each other:
> CVE-2008-3660.patch
> suhosin.patch
> + php-5.2.6-fpm-0.5.9.patch
>
> It probably effects all of the versions we are talking about. But on a
> positive note - it looks to be a small thing so I will see today if i
> can fix it.

Please disregard this comment as I appear to have spoke too soon in
regards about the cgi-main.c. It turns out the real reason for such
compiler error was a bug in fpm patch of 5.2.6
(php-5.2.6-fpm-0.5.9.diff). No conflict found with either the suosin
or CVE security fix.

The bug - it was missing #ifdefs in 5.2.6 and got fixed on the 5.2.10
fpm patch. Therefore 5.2.10 is not affected and is more favourable
release candidate. Can we remove the jaunty-for-release nomination
tag? (and how to do that?)

dreamcat4 (dreamcat4) wrote :

Hi,
There is a stopper for this.
Please see the bug description for details.

karmic: Compiling php fails with autoconf 2.64
https://bugs.launchpad.net/bugs/411890

dreamcat4 (dreamcat4) wrote :

Hello,

I have now a TESTING package for ubuntu.

Instructions and guide available at:
http://dreamcat4.jottit.com/new_php5-fpm_testing_candidate

Checklist:
 - Operation with sqlite, mysql and pgsql databases
 - Check inter-operability with apache2 webserver
 - Look for and possible conflicts against existing php variants, or apache installation.
   (dpkg --contents <php5-fpm.deb> to list files)
 - Needs a short, concise man page. Anybody good at writing man pages?

Known Issue:
Php extensions aren't loaded by the php-fpm binary. This may prove to be somewhat limiting in a production environment.

 dreamcat4@ubuntu910server:/usr/local/src/play/php-fpm$ sudo /etc/init.d/php5-fpm start
 Starting php_fpm Failed loading /usr/lib/php5/20060613+lfs/xcache.so: /usr/lib/php5/20060613+lfs/xcache.so: undefined symbol: function_add_ref
 PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20060613+lfs/pdo.so' - /usr/lib/php5/20060613+lfs/pdo.so: undefined symbol: zend_objects_store_add_ref in Unknown on line 0
  done

I'm not exactly sure the reason for this. Its the fpm binary. Something may be missing during the link stage. Hopefully the issue can be fixed in the fpm source code, and someone can provide update. We'll have to see.

Sources:

To get it to compile, certain modifications were necessary. The modified sources were then converted into a patch file. I then followed the usual ubuntu/debian php5 ways. The FPM changes shall need merging / approval by andrei and Mike of php-fpm group.

Best regards,
dreamcat4

dreamcat4 (dreamcat4) wrote :

Good news: The issue for loading zend extensions is now fixed.
Bad news: Theres some other problem the child workers keep dying.

Details on jottit:
http://dreamcat4.jottit.com/new_php5-fpm_testing_candidate

dreamcat4 (dreamcat4) wrote :

1. The php-fpm 0.6 is not compatible with PDO = shared. I believe this is important enough to issue document in the FPM project's FAQ. This incompatibility is with PDO=shared only. Normal (build-in) PDO works. Its for such a difficult link to make from the error in the log file, that we need to document it. (maybe giving the logfile error too).

2. Second quest is about the debian php5-common package because it bundles the shared PDO extension and pdo.ini is seen / tries to load by all variants. This is OK as pdo.so is not loaded and just gives a warning.

PHP Group recommond not to compile PDO = shared since 5.1+. Therefore its fine that FPM doesn't support shared PDO either. It should always be compiled-in. However the official apache module IS currently compiled as shared pdo - not sure why. Shall be consultating with php5-maint higher up.

dreamcat4 (dreamcat4) wrote :

Hi guy's,
The build ubuntu3~pre10 seems to be working allright, since making a fix for that segfault bug its all working again. I just loaded it up with a whole bunch of extensions and ran phpinfo (file attached). Needs 1 more PDO warning message supressed, and that will be available as 3~pre11 later today.

dreamcat4 (dreamcat4) wrote :
dreamcat4 (dreamcat4) wrote :
dreamcat4 (dreamcat4) wrote :
dreamcat4 (dreamcat4) on 2009-09-01
Changed in php-fpm:
status: New → Confirmed
Chuck Short (zulcss) wrote :

This should be going through the revu process:

https://wiki.ubuntu.com/MOTU/Packages/REVU

Thanks
chuck

dreamcat4 (dreamcat4) wrote :

Feature Freeze Exception Request for php5-fpm: Bug #423872

Chuck Short (zulcss) wrote :

Ill look at this again for karmic+1 but its probably too late now.

Chuck Short (zulcss) wrote :

A better thought would be get this accepted into debian.

dreamcat4 (dreamcat4) wrote :

On Mon, Sep 14, 2009 at 6:57 PM, Chuck Short <email address hidden> wrote:
> A better thought would be get this accepted into debian.

Now we're working on upstreaming it into PHP proper. Things are
beginning to shape up in terms of the autoconf needed for php
integration. From my understanding, we will be maturing for a while
with the other php sapi developers in a side branch. In terms of
debian php package, you aught to be synchronising with debian
somewhere on 5.3 branch as the next increment. So hopefully it will be
ready by then.

However you'll still be assisted if you wish to compile fpm from the
standalone project.

dreamcat4
<email address hidden>

Scott Kitterman (kitterman) wrote :

Unsubscribing ubuntu-main-sponsors since there isn't currently anything to do.

dreamcat4 (dreamcat4) on 2009-09-25
Changed in php-fpm:
importance: Undecided → High
Daniel Hahler (blueyed) wrote :

FPM is included in the PHP core SVN now (see http://php-fpm.org/download/) and might get included in 5.3.3 or 5.3.2.

Also, dotdeb.org already provides a package for it: see http://www.dotdeb.org/2009/11/30/php-5-3-1-packages-for-debian-lenny-theyre-here/ and http://php53.dotdeb.org/dists/stable/php5/source/

And I agree that this should come to Ubuntu via Debian.

Daniel Hahler (blueyed) on 2010-02-12
Changed in php5 (Ubuntu):
status: Confirmed → Triaged
Paul van Genderen (paulvg) wrote :

It won't be included in 5.3.3: http://groups.google.com/group/highload-php-en/msg/29a9a35bca58da55
5.3.2 is in Lucid, which it will most likely release with.

dreamcat4 (dreamcat4) wrote :

The Debian PHP maint have previously stated that they have either no or only a little interest in adding php-fpm to Debian. There is no vision or leadership from the Debian side which embraces the fpm sapi. Which is a shame as it is already a very popular sapi.

Therefore if canoical wants this (following php-5.4 and later), they really will have to take the initiative themselves. Its also reasonable to argue that ubuntu should remain close to the debian php sources. However as fpm is a seperate sapi, those code shouldnt be touching the debian package code. Even with fpm it should still merge together pretty easily. Debian can then follow canoical afterwards and merge it back up to Debian.

Canoical should wait until the official PHP 5.4 Release, and re-review the situation at that time.

Ondřej Surý (ondrej) wrote :

> The Debian PHP maint have previously stated that they have either no or
> only a little interest in adding php-fpm to Debian. There is no vision or
> leadership from the Debian side which embraces the fpm sapi. Which is a
> shame as it is already a very popular sapi.

That's not true, so please stop spreading this. There isn't even a wishlist bug report in Debian about including php-fpm SAPI.

We will probably not add FPM for next stable (squeeze) since it's not stable enough/proven long enough/included upstream to be supported for next full release cycle. After squeeze is out we may consider adding this SAPI, although I think it would be best to wait for FPM to be included in upstream php.

Michael Shadle (mshadle) wrote :

It should be included but marked as experimental. It is stable in the 5.2 patch, and by the time Debian will adopt it I would say the new PHP core-packaged 5.3.x/5.4+ version would be stable enough to include, perhaps with small print of "experimental"

Without that option it will never have a chance to get truly widespread properly either.

dreamcat4 (dreamcat4) wrote :

Staying focussed, If what Ondrej is saying today is actually more
representative of the official Debian position, then thats positive
news on Debians part. And we should be grateful for that. Its quite
welcome for Ondrej here to bring the matter up within Debian after
Php-5.4, and / or the formal release of FPM.

I stand corrected.

On Tue, Apr 6, 2010 at 2:08 PM, Ondřej Surý <email address hidden> wrote:
> That's not true, so please stop spreading this. There isn't even a
> wishlist bug report in Debian about including php-fpm SAPI.
>
> We will probably not add FPM for next stable (squeeze) since it's not
> stable enough/proven long enough/included upstream to be supported for
> next full release cycle. After squeeze is out we may consider adding
> this SAPI, although I think it would be best to wait for FPM to be
> included in upstream php.
>
> --
> [needs-packaging] php-fpm
> https://bugs.launchpad.net/bugs/397721
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in PHP FastCGI Process Manager: Confirmed
> Status in “php5” package in Ubuntu: Triaged
>
> Bug description:
> It's seems to be a great component with nginx for web servers.
>
> Website: http://php-fpm.org/Main_Page
> Downloads page: http://php-fpm.org/downloads/
> License : BSD-Compatible
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/php-fpm/+bug/397721/+subscribe
>

Ondřej Surý (ondrej) wrote :

> It should be included but marked as experimental.

There is no such think as "experimental mark". We have experimental "pseudo" release, which is not in widespread use, and we have stable/testing/unstable. What I am talking, that I don't want to see php-fpm in stable (which also means testing and unstable) before it gets release together with php, gets widespread testing by early adopter (not only on Debian) and get proper security/bug support via php.net.

PHP is complex on itself and has it's load of bug and we have to support the version which gets to stable. Fixing bug in stable does take a lot of work, because the policy is "keep the version, just fix the bug".

So I am perfectly happy to add php-fpm when it gets included to 5.4.x. And I guess we could even think about including the patch after we get the squeeze out and new release cycle begins, but I would need a second opinion on that and we would probably need a promise from upstream to get a proper bug/security support. Supporting new SAPI, which is likely to be used more and more, is not the same as adding some corner-use extension.

BTW: If you want always new and shiny PHP version with all the latest features, you shouldn't be using Debian version anyway. Dotdeb is carrying php5-fpm. Do not take it as a recommendation to use it (or discouragement, I just don't have enough info about dotdeb policies.)

Michael Shadle (mshadle) wrote :

I meant in the description or changelog putting a note "PHP-FPM SAPI included (experimental)" or something.

It should be included in PHP 5.4 core, which should make it good enough to add in :)

Ondřej Surý (ondrej) wrote :

> I meant in the description or changelog putting a note
> "PHP-FPM SAPI included (experimental)" or something.

How many of you do read the description of the package? I would say 20% is too much for a guess. And still I don't want php-fpm in next stable and debian packages migrate per source package basis. So there is no way how to build php-fpm from php5 source package and keep it out of stable.

Common, I know upstream worked hard on this, but world will not come to an end, if this waits squeeze+1 release. Ubuntu will pick it much sooner, when it will appear in unstable/testing after squeeze is out.

Michael Shadle (mshadle) wrote :

When the source is merged (PHP 5.4 is when I expect it) it -will- be part of PHP core and can enabled with a simple configure switch. It won't require any patches or anything special. I don't see why when PHP 5.4 comes out it wouldn't be an option to include. If someone installs a PHP 5 w/ FastCGI it should be included and considered to be two-in-a-box with the cgi-fcgi SAPI.

Ondřej Surý (ondrej) wrote :

If your arguments are based on PHP 5.4 (which even doesn't have a release plan yet or it's own branch in SVN) then this discussion is pointless. This bug is asking for the php-fpm package right now and this is not going to happen in Debian. And I already said that we will consider it (and most probably do it) when it's included in core php, which is most probably going to happen in squeeze+1.

And I doubt that PHP 5.4 will be included even if it's release before squeeze is released. 5.3.x wasn't really ready before 5.3.2, and we can expect same with 5.4.0. New bugs creep in with new features, that's the general rule of the thumb for any software, not just php.

So, please calm down. PHP-FPM will be included when the time is right.

Stas Sușcov (sushkov) wrote :

DotDebs packages can't be installed on Lucid.
Who knows a PPA with PHP-FPM for Lucid?!?!

Thanks.

Paul van Genderen (paulvg) wrote :

@Stas: I'm working on such packages but they are for PHP 5.2, as FPM with PHP 5.3 is still experimental (and I had problems building it). Although I've been using it on a public website for a while now, there can still be regressions (and there probably are). And I cannot support it for 5 years, though the FPM patches will probably work fine before the next LTS.

Stas Sușcov (sushkov) wrote :

În data de Lu, 03-05-2010 la 19:36 +0000, Paul van Genderen a scris:
> @Stas: I'm working on such packages but they are for PHP 5.2, as FPM
> with PHP 5.3 is still experimental (and I had problems building it).
> Although I've been using it on a public website for a while now, there
> can still be regressions (and there probably are). And I cannot support
> it for 5 years, though the FPM patches will probably work fine before
> the next LTS.
>

Oki, great to hear that.
I set up some builds (which are still in queue now) with the patches
from dotdeb, but until I can't see some green marks next to them I'll be
waiting for packages from any source.

On hardy I can easily use packages from dotdeb, but that doesn't work on
lucid (I use nginx and don't want to "downgrade" to apache just cause of
lack of packages).

Thanks.

--
() Campania Panglicii în ASCII
/\ http://www.asciiribbon.org/

KaOSoFt (maxzagato) wrote :

Stas, the dotdeb packages worked fine here. You must install some dependencies first before (which the installer should mention to you) trying to get everything to work. Still, I won't use it. I don't want to until PHP 5.4.0 has been released.

Stas Sușcov (sushkov) wrote :

În data de Lu, 03-05-2010 la 23:06 +0000, KaOSoFt a scris:
> Stas, the dotdeb packages worked fine here. You must install some
> dependencies first before (which the installer should mention to you)
> trying to get everything to work. Still, I won't use it. I don't want to
> until PHP 5.4.0 has been released.
>

Are we talking about the same Ubuntu Lucid?
I was using this repo:
---
deb http://php53.dotdeb.org stable all
---
Thanks.

--
() Campania Panglicii în ASCII
/\ http://www.asciiribbon.org/

Stas Sușcov (sushkov) wrote :

Huh, I got the lucid php5 package patched with fpm.

This one should be far better than dotdeb's since it has all the ubuntu patches plus fpm.

Checkout my PPA:
https://edge.launchpad.net/~sushkov/+archive/personal/+packages

Now It can be back-ported to hardy or older versions.
Free beer! :)

Changed in php5 (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Stas Sușcov (sushkov)
Mathias Gug (mathiaz) wrote :

Please don't mark bug as fix committed when packages are available in a PPA as there is not guarantee it will reach the Ubuntu repositories.

Changed in php5 (Ubuntu):
status: Fix Committed → Triaged
Stas Sușcov (sushkov) wrote :

Sorry for that,
I saw `Importance = Wishlist` and thought `Fix commited` means something different.

My fault.

zhifeng hu (zhifeng) wrote :

Thanks , It really helpfull.

Stas Sușcov wrote on 2010-05-07: #47

Randy Syring (rsyring) wrote :

How does FPM being included in 5.3.3 affect this bug?

http://www.php.net/archive/2010.php#id2010-07-22-2

Stas Sușcov (sushkov) wrote :

My PPA uses 5.3.2, which is the patched version of PHP, I should update the package if there will be no upstream deb to backport.

Chuck Short (zulcss) wrote :

This is fixed for maverick.

chuck

Changed in php5 (Ubuntu):
status: Triaged → Fix Released
Stas Sușcov (sushkov) on 2010-08-27
Changed in php5 (Ubuntu):
assignee: Stas Sușcov (sushkov) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers